Bug 64053 - RFE: Partial RPM files for patches
RFE: Partial RPM files for patches
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-04-24 12:34 EDT by Baku
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-24 12:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Baku 2002-04-24 12:34:00 EDT
Request for enhancement:

Ability to create rhmask-like (?) "patch" RPM files containing only a subset of 

Ideally, this should reflect in the RPM database in the same way as a complete 
download, and the entire file(s) should be included to allow "patching" against 
multiple "inferior" versions.

Effort required: ?? possibly a great deal, mostly in versioning issues and 
supporting such a feature in a rational way for packagers.

Example usage:

If "mypackage-1.0-1.x.rpm" contains files "a," "b," and "c," and "b" changes in 
1.1, and "c" changes in 1.2;

mypackage-patch-1.0:1.1-1.x.rpm -- would contain only "b", and require 
mypackage-1.0, but then remove this from the rpmdb and replace it with 

mypackage-patch-1.1:1.2-1.x.rpm -- would contain only "c", same rpmdb semantics;

mypackage-patch-1.0:1.2-1.x.rpm -- would contain both "b" and "c"

-- this is mostly for Very Large packages, e.g. Gimp, Mozilla, Evolution, 
OpenOffice, being pushed over Very Slow links, e.g. anything under 100Mbit :-)

Suggested based upon:
Comment 1 Jeff Johnson 2002-05-09 11:57:56 EDT
Idea is sound, but this ain't gonna happen
for a good while yet.

Note You need to log in before you can comment on or make changes to this bug.